
PROCEDURE CreateTableMDB()
	IF !FILE(GsRutaDB+"Sys_Inmobiliaria.mdb")
		CreateMDB()
		CheckIfExistMDB()
		*USE &GsRutaDB+"Sys_Inmobiliaria.mdb" VIA "ADORDD" TABLE "Company"
	ENDIF
RETURN

PROCEDURE 	CreateMDB()

	DBCREATE ( GsRutaDB+"SyS_Inmobiliaria.mdb;Company",;
		{	{ "CompanyCd",   	"C",	15, 0 },;
	   	{ "CompanyName",  "C",	60, 0 },;
	   	{ "Address1",     "C",	60, 0 },;
	   	{ "Address2",     "C",	60, 0 },;
	   	{ "Address3",     "C",	60, 0 },;
	   	{ "Country",    	"C",	15, 0 },;
	   	{ "State",     	"C",	15, 0 },;
	   	{ "City",     		"C",	15, 0 },;
	   	{ "ZipCode",     	"C",	10, 0 },;
	   	{ "CodeArea",     "C",	10, 0 },;
	   	{ "Phone1",     	"C",	20, 0 },;
	   	{ "Phone2",     	"C",	20, 0 },;
	   	{ "Phone3",     	"C",	20, 0 },;
	   	{ "Fax",     		"C",	20, 0 },;
        	{ "FiscalData",   "C",	20, 0 },;
        	{ "IsShared",		"C",	 1, 0 } }, "ADORDD" )
 
	DBCREATE ( GsRutaDB+"SyS_Inmobiliaria.mdb;ForSale", ;
			{	{ "PropertyCd","C",	 15, 0 },;
            { "Owner1",    "C",	 60, 0 },;
            { "Owner2",    "C",	 60, 0 },;
            { "Address1",  "C",	 60, 0 },;
            { "Address2",  "C",	 60, 0 },;
            { "Address3",  "C",	 60, 0 },;
            { "Country",   "C",	 15, 0 },;
            { "State",     "C",	 15, 0 },;
            { "City",     	"C",	 15, 0 },;
            { "ZipCode",   "C",	 10, 0 },;
            { "CodeArea",  "C",	 10, 0 },;
            { "Phone1",    "C",	 20, 0 },;
	         { "Phone2",    "C",	 20, 0 },;
	         { "Phone3",    "C",	 20, 0 },;
	         { "Note",		"C",	255, 0 },;
	         { "DataEntry",	"C",	 10, 0 },;
	         { "SaleDate",	"C",	  8, 0 },;
	         { "Pic1",     	"C",	200, 0 },;
	         { "Pic2",     	"C",	200, 0 },;
	         { "Pic3",     	"C",	200, 0 },;
	         { "Pic4",     	"C",	200, 0 },;
	         { "Rooms",     "N",	  2, 0 },;
	         { "Garage",    "C",	  1, 0 },;
	         { "Bathroom",  "N",	  2, 0 },;
	         { "BathLittle","N",	  2, 0 },;
	         { "BackYard",  "C",	  1, 0 },;
	         { "Level",     "N",	  2, 0 },;
	         { "SizeFrom",  "N",	  5, 0 },;
	         { "SizeLarge", "N",	  5, 0 },;
	         { "Status",    "C",	  1, 0 },;
           	{ "IsShared",	"C",	  1, 0 } }, "ADORDD" )
	            		
	DBCREATE ( GsRutaDB+"SyS_Inmobiliaria.mdb;Vendor", ;
			{	{ "VendorId",	"C",	15, 0 },;
		      { "Address1",  "C",	60, 0 },;
	         { "Address2",  "C",	60, 0 },;
	         { "Address3",  "C",	60, 0 },;
	         { "Country",   "C",	15, 0 },;
	         { "State",     "C",	15, 0 },;
	         { "City",     	"C",	15, 0 },;
	         { "ZipCode",   "C",	10, 0 },;
	         { "CodeArea",  "C",	10, 0 },;
	         { "Phone1",    "C",	20, 0 },;
	         { "Phone2",    "C",	20, 0 },;
	         { "Phone3",    "C",	20, 0 },;
	         { "FiscalData","C",	20, 0 },;
	         { "Status",		"C",	 1, 0 },;
          	{ "IsShared",	"C",	 1, 0 } }, "ADORDD" )
	
	DBCREATE ( GsRutaDB+"SyS_Inmobiliaria.mdb;ActionTracking", ;
			{	{ "PropertyCd","C",	 15, 0 },;
				{ "VendorID",	"C",	 15, 0 },;
				{ "EntryDate",	"C",	 10, 0 },;
				{ "Note",		"C",	255, 0 },;
				{ "Status",		"C",    1, 0 },;
				{ "AmtInit",	"C",    1, 0 },;
				{ "AmtFinal",	"C",    1, 0 },;
           	{ "IsShared",	"C",	  1, 0 } }, "ADORDD" )
					
	DBCREATE (	GsRutaDB+"SyS_Inmobiliaria.mdb;BanckAccount",;
			{	{ "BankCd",		"C",	15, 0 },;
				{ "AccountNum","C",	30, 0 },;
				{ "BankName",	"C",	60, 9 },;
				{ "Status",		"C",   1, 0 },;
           	{ "IsShared",	"C",	 1, 0 } }, "ADORDD" )
					
	DBCREATE (	GsRutaDB+"SyS_Inmobiliaria.mdb;Income",;
			{	{ "IncomeCd",	"C",	 15, 0 },;
				{ "PropertyCd","C",	 15, 0 },;
				{ "IncomeDate","C",	 10, 9 },;
				{ "Amount",		"N",   13, 2 },;
				{ "Note",		"C",	255, 0 },;
           	{ "IsShared",	"C",	  1, 0 } }, "ADORDD" )
	
	DBCREATE (	GsRutaDB+"SyS_Inmobiliaria.mdb;Expenditures",;
			{	{ "ExpendituresCd",	"C",	 15, 0 },;
				{ "ExpendituresDate","C",	 10, 0 },;
				{ "IncomeDate",		"C",	 10, 9 },;
				{ "Amount",				"N",   13, 2 },;
				{ "Note",				"C",	255, 0 },;
           	{ "IsShared",			"C",	  1, 0 } }, "ADORDD" )
           	
  DBCREATE (	GsRutaDB+"SyS_Inmobiliaria.mdb;Folios",;
			{	{ "KeyCode",	"C",	 15, 0 },;
				{ "LongDescr",	"C",	  8, 0 },;
				{ "Next",		"N",	 12, 0 },;
           	{ "IsShared",	"C",	  1, 0 } }, "ADORDD" )
           	
  DBCREATE (	GsRutaDB+"SyS_Inmobiliaria.mdb;Status",;
			{	{ "StatusCd",	"C",	 15, 0 },;
				{ "LongDescr",	"C",	  8, 0 },;
           	{ "IsShared",	"C",	  1, 0 } }, "ADORDD" )

  DBCREATE (	GsRutaDB+"SyS_Inmobiliaria.mdb;City",;
			{	{ "CityName",	"C",	 60, 0 },;
				{ "StateCd",	"C",	 10, 0 },;
				{ "CountryCd",	"C",	 10, 0 },;
           	{ "IsShared",	"C",	  1, 0 } }, "ADORDD" )
           	
	DBCREATE (	GsRutaDB+"SyS_Inmobiliaria.mdb;Country",;
			{	{ "CountryName",	"C",	60, 0 },;
				{ "CountryCd",		"C",	 5, 0 },;
				{ "CurrencyCd",	"C",	 5, 0 },;
	       	{ "IsShared",		"C",	 1, 0 } }, "ADORDD" )
	
	DBCREATE (	GsRutaDB+"SyS_Inmobiliaria.mdb;State",;
			{	{ "StateName",	"C",	 60, 0 },;
				{ "CountryCd",	"C",	  5, 0 },;
				{ "StateCd",	"C",	  5, 0 },;
           	{ "IsShared",	"C",	  1, 0 } }, "ADORDD" )
	           	
	DBCREATE (	GsRutaDB+"SyS_Inmobiliaria.mdb;Currencies",;
			{	{ "CurrencyName",	"C",	 60, 0 },;
				{ "CurrencyCd",	"C",    5, 0 },;
				{ "CountryCd",		"C",    5, 0 },;
           	{ "IsShared",		"C",	  1, 0 } }, "ADORDD" )
           	
	DBCREATE (	GsRutaDB+"SyS_Inmobiliaria.mdb;PayTy",;
			{	{ "PayTy",	"C",	 10, 0 },;
				{ "Descr",	"C",    5, 0 },;
				{ "CountryCd",		"C",    5, 0 },;
           	{ "IsShared",		"C",	  1, 0 } }, "ADORDD" )
           	
 RETURN
